<?php
namespace Sello\ChannelConnector;

if (!defined( 'ABSPATH' ) ) {
    exit;
}

class Account
{
    public function init()
    {
        $ccAccountId = get_option('cc_account_id');
        $ccAccountUpdated = get_option('cc_account_updated');
        if (!$ccAccountId) {
            return;
        }
        if ($ccAccountUpdated > time() - 43200) {
            return;
        }        
        
        global $wpdb;

        $data = wp_remote_get(
            "https://wc-api.sello.io/account/".$ccAccountId,
            [
                "headers" => array("Content-type" => "application/json")
            ]
        );
        $account = json_decode($data['body'], true);

        update_option('cc_account_status', $account['status']);
        update_option('cc_account_updated', time());
    }
}
