<?php
if ((!empty($_SERVER['REQUEST_SCHEME']) && $_SERVER['REQUEST_SCHEME'] == 'https') ||
    (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on') ||
    (!empty($_SERVER['SERVER_PORT']) && $_SERVER['SERVER_PORT'] == '443') ) {
    $scheme = 'https';
} else {
    $scheme = 'http';
}


$shopUrl = urlencode(
    $scheme.'://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'].'&callback'
);
?>

<form style="margin: 50px 100px; padding: 25px; background: white;" method="post">
    <input type="hidden" name="action" value="setupAccount">
    <h1><?php echo __("Welcome!", "channelconnector")?></h1>
    <h3><?php echo __("Please proceed by connecting to your Sello account:", "channelconnector")?></h3>

    <a href="https://wc-api.sello.io/login?shop=<?=$shopUrl?>" type="submit" class="button button-primary button-large" style="margin-top: 15px"><?php echo __("Sign in to Sello", "channelconnector")?></a>
</form>