<form method="post">
    <input type="hidden" name="action" value="saveSettings">
    <p><label for="shippingMethod"><?php echo __("Shipping method for new orders:", "channelconnector")?></label>
    <select name="shippingMethod">
        <?php foreach($shippingMethods as $s): ?>
        <option value="<?php echo $s->id?>" <?php echo ($s->id == $currentShippingMethod) ? "selected" : ""?>><?php echo $s->method_title?></option>
        <?php endforeach; ?>
    </select></p>
    <p><label for="orderStatus"><?php echo __("Order status for new orders:", "channelconnector")?></label>
    <select name="orderStatus">
        <?php foreach($orderStatusList as $status => $name): ?>
        <option value="<?php echo $status?>" <?php echo ($status == $currentOrderStatus) ? "selected" : ""?>><?php echo $name?></option>
        <?php endforeach; ?>
    </select></p>
    <p><label for="useDefaultPaymentMethod"><?php echo __("Use default payment method for new orders:", "channelconnector")?></label>
    <input type="checkbox" name="useDefaultPaymentMethod" <?php echo ($useDefaultPaymentMethod == "true") ? "checked" : "" ?>/>
    <p><label for="paymentMethod"><?php echo __("Payment method for new orders:", "channelconnector")?></label>
    <select name="paymentMethod" <?php echo ($useDefaultPaymentMethod == "true") ? "disabled" : "" ?>>
        <?php foreach($paymentMethods as $method): ?>
        <option value="<?php echo $method->id?>" <?php echo ($method->id == $currentPaymentMethod) ? "selected" : ""?>><?php echo $method->title?></option>
        <?php endforeach; ?>
    </select></p>

    <button type="submit" class="button button-primary" style="margin-top: 15px"><?php echo __("Save", "channelconnector")?></button>
</form>
